---
- name: "Create vhost"
  include_role:
    name: httpd
    tasks_from: vhost
  vars:
    reverse_proxy: http://127.0.0.1:5000/
    use_letsencrypt: True
    force_tls: True


- name: Install pgbouncer
  package:
    name: pgbouncer
    state: installed

- name: Add directory for hooks
  file:
    path: /etc/systemd/system/pgbouncer.service.d/
    state: directory

- name: Add systemd hook
  template:
    src: copy_certs.conf
    dest: /etc/systemd/system/pgbouncer.service.d/copy_certs.conf

- name: Add script to copy the certs
  template:
    src: copy_pgbouncer_certs.sh
    dest: /usr/local/bin/copy_pgbouncer_certs.sh
    mode: 0755

- name: Add lets encrypt hook
  template:
    src: 07_pgbouncer_restart
    dest: /etc/letsencrypt/renewal-hooks/deploy/07_pgbouncer_restart
    mode: 0755

- name: Start pgbouncer
  systemd:
    daemon_reload: yes
    state: started
    enabled: True
    name: pgbouncer.service

- name: Open firewall
  firewalld:
    port: "6432/tcp"
    permanent: true
    state: enabled
    immediate: yes
